Product comparison · 2 network switches

EnGenius EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue vs EnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP

Add a product
  • 37specifications compared
  • 13differ
  • 24identical
  • 12known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue:24
    • EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP:8
  • SFP module slots quantity
    • EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue:4
    • EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP:2
  • Switching capacity
    • EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue:56 Gbit/s
    • EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP:24 Gbit/s
  • Rack mounting
    • EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue:Yes
    • EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP:No
  • Product colour
    • EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue:Black, Blue
    • EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP:Black
  • Power over Ethernet (PoE) ports quantity
    • EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue:24
    • EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP:8
  • Total Power over Ethernet (PoE) budget
    • EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue:185 W
    • EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP:130 W
  • Width
    • EGS7228P network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black, Blue:440 mm
    • EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP:330.2 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of EGS7228P, EWS5912FP
49 specifications
Management featuresidentical
Switch typeManagedManaged
Switch layerL2L2
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
Traffic shapingKnown for oneUnknown — not stated by the sourceYes
MIB supportRFC1213, RFC1493, RFC1757, RFC2674RFC1213, RFC1493, RFC1757, RFC2674
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers248
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)Gigabit Ethernet (10/100/1000)
SFP module slots quantityDiffers42
Console portRJ-45RJ-45
Network1 differ
Networking standardsDiffersIEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3xIEEE 802.1ab, IEEE 802.3af, IEEE 802.3at
10G supportNoNo
Port mirroringYesYes
Broadcast storm controlYesYes
Link aggregationKnown for oneUnknown — not stated by the sourceYes
Rate limitingKnown for oneUnknown — not stated by the sourceYes
Spanning tree protocolYesYes
VLAN supportYesYes
Data transmission1 differ
Switching capacityDiffers56 Gbit/s24 Gbit/s
Store-and-forwardYesYes
Securityidentical
DHCP featuresDHCP clientDHCP client
Access Control List (ACL)YesYes
IGMP snoopingYesYes
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the sourceWEP, WPA, WPA-PSK, WPA2, WPA2-PSK
Static port securityYesYes
Protocols1 differ
Management protocolsDiffersSNMP v1/2c/3SNMP v1/v2c/v3, CLI, RMONv1, SYSLOG
Design3 differ
Rack mountingDiffersYesNo
StackableKnown for oneUnknown — not stated by the sourceNo
Form factorKnown for oneUnknown — not stated by the source1U
Product colourDiffersBlack, BlueBlack
LED indicatorsDiffersYesActivity, LAN, Link, PoE, Power, Yes
Performanceidentical
Internal memory256 MB256 MB
Flash memory32 MB32 MB
Firmware upgradeableKnown for oneUnknown — not stated by the sourceYes
Poweridentical
Power consumption (typical)Known for oneUnknown — not stated by the source130 W
Power over Ethernet (PoE)2 differ
Power over Ethernet (PoE)YesYes
Power over Ethernet (PoE) ports quantityDiffers248
Total Power over Ethernet (PoE) budgetDiffers185 W130 W
Operational conditionsidentical
Operating temperature (T-T)0 - 50 °C0 - 50 °C
Storage temperature (T-T)-40 - 70 °C-40 - 70 °C
Operating relative humidity (H-H)5 - 95%5 - 95%
Weight & dimensions3 differ
WidthDiffers440 mm330.2 mm
DepthDiffers260 mm228.6 mm
HeightDiffers44 mm43.9 mm
WeightKnown for oneUnknown — not stated by the source2 kg
Packaging contentidentical
Cables includedKnown for oneUnknown — not stated by the sourceAC, LAN (RJ-45)
Quick start guideKnown for oneUnknown — not stated by the sourceYes
ManualYesYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons